Debian Bug report logs - #652496
please add Multi-Arch support

version graph

Package: libgd2; Maintainer for libgd2 is GD team <pkg-gd-devel@lists.alioth.debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Sat, 17 Dec 2011 19:18:01 UTC

Severity: normal

Tags: patch

Found in version 2.0.36~rc1~dfsg-6

Fixed in version libgd2/2.0.36~rc1~dfsg-6.1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GD team <pkg-gd-devel@lists.alioth.debian.org>:
Bug#652496; Package libgd2. (Sat, 17 Dec 2011 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to GD team <pkg-gd-devel@lists.alioth.debian.org>. (Sat, 17 Dec 2011 19:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: please add Multi-Arch support
Date: Sat, 17 Dec 2011 11:15:50 -0800
[Message part 1 (text/plain, inline)]
Package: libgd2
Version: 2.0.36~rc1~dfsg-6
Severity: normal
Tags: patch

Hi!

The attached patch provides the changes needed to build with Multi-Arch
support, and removes the shipped .la files completely. Both are in support
of their respective release goals.

Thanks,

-Kees

-- 
Kees Cook                                            @debian.org
[libgd2_2.0.36~rc1~dfsg-7.debdiff (text/plain, attachment)]

Added indication that bug 652496 blocks 670531 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:05 GMT) Full text and rfc822 format available.

Added indication that bug 652496 blocks 670532 Request was from Miguel A. Colón Vélez <debian.micove@gmail.com> to control@bugs.debian.org. (Thu, 26 Apr 2012 12:57:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GD team <pkg-gd-devel@lists.alioth.debian.org>:
Bug#652496; Package libgd2. (Mon, 14 May 2012 08:59:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to GD team <pkg-gd-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 08:59:42 GMT) Full text and rfc822 format available.

Message #14 received at 652496@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 652496@bugs.debian.org
Subject: NMU diff for libgd2/2.0.36~rc1~dfsg-6.1
Date: Mon, 14 May 2012 10:56:38 +0200
Attached is the NMU diff for libgd2/2.0.36~rc1~dfsg-6.1.

Bastian

-- 
Each kiss is as the first.
		-- Miramanee, Kirk's wife, "The Paradise Syndrome",
		   stardate 4842.6




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 14 May 2012 09:28:00 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Mon, 14 May 2012 09:28:05 GMT) Full text and rfc822 format available.

Message #19 received at 652496-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 652496-close@bugs.debian.org
Subject: Bug#652496: fixed in libgd2 2.0.36~rc1~dfsg-6.1
Date: Mon, 14 May 2012 09:22:33 +0000
Source: libgd2
Source-Version: 2.0.36~rc1~dfsg-6.1

We believe that the bug you reported is fixed in the latest version of
libgd2, which is due to be installed in the Debian FTP archive:

libgd-tools_2.0.36~rc1~dfsg-6.1_amd64.deb
  to main/libg/libgd2/libgd-tools_2.0.36~rc1~dfsg-6.1_amd64.deb
libgd2-noxpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
  to main/libg/libgd2/libgd2-noxpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
libgd2-noxpm_2.0.36~rc1~dfsg-6.1_amd64.deb
  to main/libg/libgd2/libgd2-noxpm_2.0.36~rc1~dfsg-6.1_amd64.deb
libgd2-xpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
  to main/libg/libgd2/libgd2-xpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
libgd2-xpm_2.0.36~rc1~dfsg-6.1_amd64.deb
  to main/libg/libgd2/libgd2-xpm_2.0.36~rc1~dfsg-6.1_amd64.deb
libgd2_2.0.36~rc1~dfsg-6.1.debian.tar.gz
  to main/libg/libgd2/libgd2_2.0.36~rc1~dfsg-6.1.debian.tar.gz
libgd2_2.0.36~rc1~dfsg-6.1.dsc
  to main/libg/libgd2/libgd2_2.0.36~rc1~dfsg-6.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652496@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated libgd2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 09:16:37 +0000
Source: libgd2
Binary: libgd-tools libgd2-xpm-dev libgd2-noxpm-dev libgd2-xpm libgd2-noxpm
Architecture: source amd64
Version: 2.0.36~rc1~dfsg-6.1
Distribution: unstable
Urgency: low
Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 libgd-tools - GD command line tools and example code
 libgd2-noxpm - GD Graphics Library version 2 (without XPM support)
 libgd2-noxpm-dev - GD Graphics Library version 2 (development version)
 libgd2-xpm - GD Graphics Library version 2
 libgd2-xpm-dev - GD Graphics Library version 2 (development version)
Closes: 652496
Changes: 
 libgd2 (2.0.36~rc1~dfsg-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Support multi-arch: (closes: #652496)
     - Mark libgd2-xpm, libgd2-noxpm, libgd2-xpm-dev and libgd2-noxpm-dev
       as same.
     - Adjust d-shlibs and dh-buildinfo build-dependency.
   * Drop .la files.
Checksums-Sha1: 
 66b0526e6e5a2554b842d9ef5ba287b46b4e482c 1760 libgd2_2.0.36~rc1~dfsg-6.1.dsc
 9d737072fca33ff16976867a0b7ffb86bd4ce793 26434 libgd2_2.0.36~rc1~dfsg-6.1.debian.tar.gz
 d69e0b512ea856638a667aca1dfa46bdad3739b2 168208 libgd-tools_2.0.36~rc1~dfsg-6.1_amd64.deb
 9aca104d37af12e576f707aa00057e3e1ee04768 371682 libgd2-xpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 ad670b2ed4563e5af106dc19083ef9f5a8a5989a 369100 libgd2-noxpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 9967b0dc233ca05c94584bf40bef2d681f746e94 231678 libgd2-xpm_2.0.36~rc1~dfsg-6.1_amd64.deb
 061e55f47d181a65de6471d0a61a3408696ccaf7 229304 libgd2-noxpm_2.0.36~rc1~dfsg-6.1_amd64.deb
Checksums-Sha256: 
 dbbe987ab2d060f8db90805c015b327100726a77a81618fd1d2e902e5c3c93db 1760 libgd2_2.0.36~rc1~dfsg-6.1.dsc
 252e19c93205cf51908116a8d4567cd0702f26da90a6924734d05dcf9b152b92 26434 libgd2_2.0.36~rc1~dfsg-6.1.debian.tar.gz
 07f828d6197ae700dd8ffbdce03474d33eef5063f756d006df135f50af831b11 168208 libgd-tools_2.0.36~rc1~dfsg-6.1_amd64.deb
 e71ea9015298089a9d63e6a1610447476c05af813746727e49475726505789a8 371682 libgd2-xpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 7944320d8bd29eef13f141c7c1341334b41fa5a00c4b98e49ed87bf0446e7604 369100 libgd2-noxpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 009ec00612b6198dff6bf01bfa1848717d8d21d970e144d8af195d2dc27d71ad 231678 libgd2-xpm_2.0.36~rc1~dfsg-6.1_amd64.deb
 ed90643b7fe13c358a8027ac9ef790704ca4050b22d6a9627614035636a97669 229304 libgd2-noxpm_2.0.36~rc1~dfsg-6.1_amd64.deb
Files: 
 41c0f1565de887b70d237a032e5196fe 1760 graphics optional libgd2_2.0.36~rc1~dfsg-6.1.dsc
 ddd0486a994e387807396fa57b21ec91 26434 graphics optional libgd2_2.0.36~rc1~dfsg-6.1.debian.tar.gz
 11bb5b961294a0e25eccec764a7e15f2 168208 graphics optional libgd-tools_2.0.36~rc1~dfsg-6.1_amd64.deb
 f071946420779487b398da8c26e471a9 371682 libdevel optional libgd2-xpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 05e67a95101e41663ffd825647833493 369100 libdevel optional libgd2-noxpm-dev_2.0.36~rc1~dfsg-6.1_amd64.deb
 a22622afe89738f750a7a33ce3f026a5 231678 libs optional libgd2-xpm_2.0.36~rc1~dfsg-6.1_amd64.deb
 f11e456899b980be99185ff099e92df6 229304 libs optional libgd2-noxpm_2.0.36~rc1~dfsg-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+wyOUACgkQLkAIIn9ODhFheQCg55YdziQPBE44F8yMxU2upQXf
AJQAn3/Mjh6wendIuC14+ePDXfoXFUcQ
=dl+u
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GD team <pkg-gd-devel@lists.alioth.debian.org>:
Bug#652496; Package libgd2. (Mon, 14 May 2012 10:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 652496@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to GD team <pkg-gd-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 10:42:17 GMT) Full text and rfc822 format available.

Message #24 received at 652496@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Bastian Blank <waldi@debian.org>, 652496@bugs.debian.org
Subject: Re: [pkg-GD-devel] Bug#652496: NMU diff for libgd2/2.0.36~rc1~dfsg-6.1
Date: Mon, 14 May 2012 12:39:46 +0200
[Message part 1 (text/plain, inline)]
On 12-05-14 at 10:56am, Bastian Blank wrote:
> Attached is the NMU diff for libgd2/2.0.36~rc1~dfsg-6.1.

Thanks for the upload!

It seems you forgot the patch, though :-)


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GD team <pkg-gd-devel@lists.alioth.debian.org>:
Bug#652496; Package libgd2. (Mon, 14 May 2012 10:51:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to GD team <pkg-gd-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 10:51:27 GMT) Full text and rfc822 format available.

Message #29 received at 652496@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 652496@bugs.debian.org
Subject: Re: [pkg-GD-devel] Bug#652496: NMU diff for libgd2/2.0.36~rc1~dfsg-6.1
Date: Mon, 14 May 2012 12:49:32 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 14, 2012 at 12:39:46PM +0200, Jonas Smedegaard wrote:
> It seems you forgot the patch, though :-)

Ups. I should not only write, but actually attach the patch.

Bastian

-- 
Beam me up, Scotty!  It ate my phaser!
[diff (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:47:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:11:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.